/**
 * 非标接口返回值
 */
export declare class ApiResponse<T = any> {
    constructor(resCode: string | number, resMsg?: string, data?: T);
    /**
     * 响应代码 0=成功，其他失败
     */
    resCode: string | number;
    resMsg?: string;
    data?: T;
    static success: ApiResponse<any>;
    static isSuccess(res: ApiResponse): boolean;
    static successWithData(data: any): ApiResponse<any>;
    static successWithResMsg(resMsg: any): ApiResponse<any>;
    static failed(resMsg?: string): ApiResponse<any>;
}
